io.netty.handler.codec.redis

## Class AbstractStringRedisMessage

- java.lang.Object
- - io.netty.handler.codec.redis.AbstractStringRedisMessage

All Implemented Interfaces:
  RedisMessage

Direct Known Subclasses:
  ErrorRedisMessage, InlineCommandRedisMessage, SimpleStringRedisMessage

    @UnstableApi
    public abstract class AbstractStringRedisMessage
    extends Object
    implements RedisMessage

Abstract class for Simple Strings or Errors.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `content()` Get string content of this `AbstractStringRedisMessage`.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### content

    public final String content()

Get string content of this `AbstractStringRedisMessage`.

Returns:
  content of this message.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`